DCMTK - Bug #565

setXXX() method should consider the SpecificCharacterSet value
2013-10-22 11:46 - Jorg Riesmeier

Status: Assigned Start date: 2013-10-22
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 50%
Category: Library and Apps Estimated time: 0:00 hour

Target version:

Module: dcmsr, demrt Compiler:

Operating System:

Description

Currently, the VR checker will reject e.g. UTF-8 encoded characters passed to the numerous setXXX() methods (i.e. when the
"check" parameter is OF True, which is the default).

The underlying checkStringValue() methods from the decmdata module should probably support an optional "charset" parameter (see
DcmByteString::checkStringValue())...

History

#1 - 2016-02-12 11:23 - J6rg Riesmeier
- Status changed from New to Assigned
- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 50

For the demsr module, this issue has been fixed with commit 2678e65 1069bf4.

#2 - 2017-02-08 18:27 - Jorg Riesmeier
- Target version deleted (3.6.2)

demrt will not be touched anymore for the 3.6.2 release, at least not for fixing the described issue.

#3 - 2017-03-24 12:46 - Marco Eichelberg

- Target version set to 3.6.3

#4 - 2017-12-07 11:54 - Marco Eichelberg
- Target version changed from 3.6.3 to 3.6.6

#5 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
